summaryrefslogtreecommitdiff
path: root/dev-python/bsddb3
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/bsddb3
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/bsddb3')
-rw-r--r--dev-python/bsddb3/Manifest2
-rw-r--r--dev-python/bsddb3/bsddb3-6.2.4.ebuild76
-rw-r--r--dev-python/bsddb3/bsddb3-6.2.7.ebuild79
-rw-r--r--dev-python/bsddb3/files/bsddb3-6.2.7-py39.patch19
-rw-r--r--dev-python/bsddb3/metadata.xml12
5 files changed, 188 insertions, 0 deletions
diff --git a/dev-python/bsddb3/Manifest b/dev-python/bsddb3/Manifest
new file mode 100644
index 000000000000..6df7e3b2f617
--- /dev/null
+++ b/dev-python/bsddb3/Manifest
@@ -0,0 +1,2 @@
+DIST bsddb3-6.2.4.tar.gz 242397 BLAKE2B b6b9c6d4d3231bce400ae46a5df85abddd83bfd3e4e52d0192c2c91faab51af14946c9a8682f55ff8251fd0d1f7a00ba834d7a39c1574b4adcfe2ea396cf684d SHA512 15bb714242b05649a7c40ccd153979e596340ef039c89549b215fc5438a12fedb44150195063d2783c6c06ede3552506e31e8013b6b0431d27dd7e14975c08b0
+DIST bsddb3-6.2.7.tar.gz 437325 BLAKE2B ed7931a32766338c5674cc017a8528d30acf9397443f270bf93974c9ed7ae4abdc6b704d85d48f68e0c4b6d85c4ad71edf891e342e5f9b9a597453140adde742 SHA512 edd85fb697142ac152a10a299899c52b637a3b1e3d28d913c61f9de91ef292fc2055daeb18fca62242284b4189a61d5bf318aca6e2966849879043a46db000e0
diff --git a/dev-python/bsddb3/bsddb3-6.2.4.ebuild b/dev-python/bsddb3/bsddb3-6.2.4.ebuild
new file mode 100644
index 000000000000..f03617f4fdff
--- /dev/null
+++ b/dev-python/bsddb3/bsddb3-6.2.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} )
+PYTHON_REQ_USE="threads(+)"
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit db-use distutils-r1
+
+DESCRIPTION="Python bindings for Berkeley DB"
+HOMEPAGE="https://www.jcea.es/programacion/pybsddb.htm https://pypi.org/project/bsddb3/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <sys-libs/db-6.3:=
+ || (
+ sys-libs/db:6.2
+ sys-libs/db:6.1
+ sys-libs/db:5.3
+ sys-libs/db:5.1
+ sys-libs/db:4.8
+ sys-libs/db:4.7
+ )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+ # This list should be kept in sync with setup.py.
+ if [[ -z ${DB_VER} ]]; then
+ for DB_VER in 6.2 6.1 5.3 5.1 4.8 4.7; do
+ has_version "sys-libs/db:${DB_VER}" && break
+ done
+ fi
+
+ # Force version.
+ sed -e "s/db_ver = None/db_ver = (${DB_VER%.*}, ${DB_VER#*.})/" \
+ -e "s/dblib = 'db'/dblib = '$(db_libname ${DB_VER})'/" \
+ -i setup2.py setup3.py || die
+
+ # Adjust test.py to look in build/lib.
+ sed -e "s/'lib.%s' % PLAT_SPEC/'lib'/" \
+ -i test2.py test3.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # These are needed for both build and install.
+ export BERKELEYDB_DIR="${EPREFIX}/usr"
+ export BERKELEYDB_INCDIR="$(db_includedir ${DB_VER})"
+ export BERKELEYDB_LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ export YES_I_HAVE_THE_RIGHT_TO_USE_THIS_BERKELEY_DB_VERSION=1
+}
+
+python_compile() {
+ if ! python_is_python3; then
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ fi
+ distutils-r1_python_compile
+}
+
+python_test() {
+ if python_is_python3; then
+ PYTHONPATH=Lib3 "${EPYTHON}" test3.py -v || die "Testing failed with ${EPYTHON}"
+ else
+ PYTHONPATH=Lib "${EPYTHON}" test.py -v || die "Testing failed with ${EPYTHON}"
+ fi
+}
diff --git a/dev-python/bsddb3/bsddb3-6.2.7.ebuild b/dev-python/bsddb3/bsddb3-6.2.7.ebuild
new file mode 100644
index 000000000000..d217d17a5f11
--- /dev/null
+++ b/dev-python/bsddb3/bsddb3-6.2.7.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit db-use distutils-r1
+
+DESCRIPTION="Python bindings for Berkeley DB"
+HOMEPAGE="https://www.jcea.es/programacion/pybsddb.htm https://pypi.org/project/bsddb3/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <sys-libs/db-6.3:=
+ || (
+ sys-libs/db:6.2
+ sys-libs/db:6.1
+ sys-libs/db:5.3
+ sys-libs/db:5.1
+ sys-libs/db:4.8
+ sys-libs/db:4.7
+ )"
+DEPEND="${RDEPEND}"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PATCHES=(
+ "${FILESDIR}"/${P}-py39.patch
+)
+
+python_prepare_all() {
+ # This list should be kept in sync with setup.py.
+ if [[ -z ${DB_VER} ]]; then
+ for DB_VER in 6.2 6.1 5.3 5.1 4.8 4.7; do
+ has_version "sys-libs/db:${DB_VER}" && break
+ done
+ fi
+
+ # Force version.
+ sed -e "s/db_ver = None/db_ver = (${DB_VER%.*}, ${DB_VER#*.})/" \
+ -e "s/dblib = 'db'/dblib = '$(db_libname ${DB_VER})'/" \
+ -i setup2.py setup3.py || die
+
+ # Adjust test.py to look in build/lib.
+ sed -e "s/'lib.%s' % PLAT_SPEC/'lib'/" \
+ -i test2.py test3.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # These are needed for both build and install.
+ export BERKELEYDB_DIR="${EPREFIX}/usr"
+ export BERKELEYDB_INCDIR="$(db_includedir ${DB_VER})"
+ export BERKELEYDB_LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ export YES_I_HAVE_THE_RIGHT_TO_USE_THIS_BERKELEY_DB_VERSION=1
+}
+
+python_compile() {
+ if ! python_is_python3; then
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ fi
+ distutils-r1_python_compile
+}
+
+python_test() {
+ if python_is_python3; then
+ PYTHONPATH=Lib3 "${EPYTHON}" test3.py -v || die "Testing failed with ${EPYTHON}"
+ else
+ PYTHONPATH=Lib "${EPYTHON}" test.py -v || die "Testing failed with ${EPYTHON}"
+ fi
+}
diff --git a/dev-python/bsddb3/files/bsddb3-6.2.7-py39.patch b/dev-python/bsddb3/files/bsddb3-6.2.7-py39.patch
new file mode 100644
index 000000000000..77d4626912af
--- /dev/null
+++ b/dev-python/bsddb3/files/bsddb3-6.2.7-py39.patch
@@ -0,0 +1,19 @@
+diff --git a/Lib3/bsddb/test/test_replication.py b/Lib3/bsddb/test/test_replication.py
+index 2fd6aa0..9d78241 100644
+--- a/Lib3/bsddb/test/test_replication.py
++++ b/Lib3/bsddb/test/test_replication.py
+@@ -105,8 +105,12 @@ class DBReplication(unittest.TestCase) :
+
+ class DBReplicationManager(DBReplication) :
+ def test01_basic_replication(self) :
+- master_port = test_support.find_unused_port()
+- client_port = test_support.find_unused_port()
++ try:
++ from test.support.socket_helper import find_unused_port
++ except ImportError:
++ find_unused_port = test_support.find_unused_port
++ master_port = find_unused_port()
++ client_port = find_unused_port()
+ if db.version() >= (5, 2) :
+ self.site = self.dbenvMaster.repmgr_site("127.0.0.1", master_port)
+ self.site.set_config(db.DB_GROUP_CREATOR, True)
diff --git a/dev-python/bsddb3/metadata.xml b/dev-python/bsddb3/metadata.xml
new file mode 100644
index 000000000000..875639723105
--- /dev/null
+++ b/dev-python/bsddb3/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">bsddb3</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>